<div class="container">
  <h1>Ranking:</h1>
  <button type="button" (click)="getUsers()">Get Users</button>
  <button (click)="GetPDF()">To PDF</button>
  <div id="pdfTable" #pdfTable>
    @if (user){
      <table>
        <thead>
        <tr>
          <th>Nom</th>
          <th>Punts</th>
        </tr>
        </thead>
        <tbody>
          @for(row of user;track row){
            <tr>
              <td>
                {{row.nom}}
              </td>
              <td>
                {{row.punts}}
              </td>
            </tr>
          }

        </tbody>
      </table>
    }
  </div>
</div>

